using MotorPlantDataModels.Models;
using System.ComponentModel;
using MotorPlantContracts.Attributes;

namespace MotorPlantContracts.ViewModels
{
    public class EngineViewModel : IEngineModel
    {
        [Column(visible: false)]
        public int Id { get; set; }
        [Column(title: "Название изделия", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string EngineName { get; set; } = string.Empty;
        [Column(title: "Цена", width: 70)]
        public double Price { get; set; }
        [Column(visible: false)]
        public Dictionary<int, (IComponentModel, int)> EngineComponents
        {
            get;
            set;
        } = new();
    }
}
